Subject: Re: [PATCH] Probe Efika platform before CHRP.

From: Sylvain Munaut <[email-masked]>
Date: Tue, 19 Dec 2006 12:55:36 +0100

Benjamin Herrenschmidt wrote:
> On Tue, 2006-12-19 at 09:54 +0000, David Woodhouse wrote:
>   
>> The Efika matches chrp_probe() too, so put its own probe first to make
>> sure we get it right in a multiplatform build.
>>     
>
> Hrm... I told them to remove that from their device-tree ... dammit !
>   
Yes, I told them to do some other changes to their device-tree, but no
luck so far.

I think I'll end up with a bunch of device-tree fix in the efika probe
function. (Either
that, or force the user to have a nvramrc for the firmware that makes
the appropriate
changes, but that's kindof an hassle for the user)

That won't solve the problem with chrp though.
I've seen that pseries will also match chrp. And in the pseries probe
function,
the Cell blades are explicitely 'refused'.

Maybe instead of putting 52xx first, it would be "better" to put chrp
and pseries
last as they seem more "generic". So that anything that match before
that has
priority.

    Sylvain

>> Signed-off-by: David Woodhouse <[email-masked]>
>>
>> --- linux-2.6.19.ppc/arch/powerpc/platforms/Makefile~	2006-12-17 14:55:49.000000000 +0000
>> +++ linux-2.6.19.ppc/arch/powerpc/platforms/Makefile	2006-12-17 17:16:52.000000000 +0000
>> @@ -5,9 +5,9 @@ ifeq ($(CONFIG_PPC64),y)
>>  obj-$(CONFIG_PPC_PMAC)		+= powermac/
>>  endif
>>  endif
>> +obj-$(CONFIG_PPC_MPC52xx)	+= 52xx/
>>  obj-$(CONFIG_PPC_CHRP)		+= chrp/
>>  obj-$(CONFIG_4xx)		+= 4xx/
>> -obj-$(CONFIG_PPC_MPC52xx)	+= 52xx/
>>  obj-$(CONFIG_PPC_83xx)		+= 83xx/
>>  obj-$(CONFIG_PPC_85xx)		+= 85xx/
>>  obj-$(CONFIG_PPC_86xx)		+= 86xx/
>>
>>     
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>
>